use std::sync::Arc;

pub mod github;

#[async_trait::async_trait]
pub trait GitProvider {
    async fn clone_from_url(&self, url: String) -> eyre::Result<()>;
}
pub type DynGitProvider = Arc<dyn GitProvider + Send + Sync>;
